Webhooks
Reprocessar webhook da loja
Reenvia o callback de um card para o webhook configurado na loja.
POST
/commands/webhook/sendAuthorization
bearerAuth gatewayKey AuthorizationBearer <token>
Token JWT no formato: Bearer {token}
In: header
ocp-apim-subscription-key<token>
Gateway Token recebido na criacao da loja.
In: header
Request Body
application/json
Corpo da requisição.
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://api.smarttef.mobi/commands/webhook/send" \ -H "Content-Type: application/json" \ -d '{ "identifier": "68ab8366-29db-438e-9a39-8ca72691c0b7", "type": "PAYMENT" }'Empty
{
"status": 400,
"data": {
"message": [
{
"received": "ORDER",
"code": "invalid_enum_value",
"options": [
"PAYMENT",
"PRINT",
"FORM"
],
"message": "Invalid enum value. Expected 'PAYMENT' | 'PRINT' | 'FORM', received 'ORDER'",
"path": [
"type"
]
}
],
"timestamp": "2026-02-09T12:00:00.000Z",
"path": "/commands/webhook/send"
}
}{
"status": 401,
"data": {
"message": [
"Unauthorized",
"Token não e do tipo loja, verifique se o token está correto.",
"token not corresponds",
"Store not found",
"Store is not active or is blocked",
"Store is blocked. <cache>"
],
"timestamp": "2026-02-09T12:00:00.000Z",
"path": "/commands/webhook/send"
}
}{
"status": 404,
"data": {
"message": [
"Payment status not found",
"Print status not found"
],
"timestamp": "2026-02-09T12:00:00.000Z",
"path": "/commands/webhook/send"
}
}{
"status": 500,
"data": {
"message": "Internal Server Error",
"timestamp": "2026-02-09T12:00:00.000Z",
"path": "/commands/webhook/send"
}
}